package album.model 
{
	import album.vo.PhotoVo;
	import flash.events.Event;
	import flash.events.EventDispatcher;
	
	/**
	 * ...
	 * @author Katsushi Suzuki
	 */
	public class ContentsModel extends EventDispatcher
	{
		public var photoVo:PhotoVo;
		
		private static var _instance:ContentsModel;

		public function ContentsModel(enforcer:SingletonEnforcer):void{
			
		}

		public static function get instance():ContentsModel
		{
			if(ContentsModel._instance == null )ContentsModel._instance = new ContentsModel(new SingletonEnforcer());
			return ContentsModel._instance;
		}
		
		public function update():void 
		{
			dispatchEvent(new Event("update"));
		}
		
		public function prev():void
		{
			var id:uint = photoVo.id;
			if ( --id < 0 ) id = PhotoModel.instance.items.length - 1;
			photoVo = PhotoModel.instance.items[id];
		}
		
		public function next():void
		{
			var id:uint = photoVo.id;
			if ( ++id > PhotoModel.instance.items.length - 1 ) id = 0;
			photoVo = PhotoModel.instance.items[id];
		}
		
	}
	
}
class SingletonEnforcer{}