package album.sound 
{
	import flash.events.Event;
	import flash.events.EventDispatcher;
	import flash.events.IOErrorEvent;
	import flash.media.Sound;
	import flash.media.SoundChannel;
	import flash.media.SoundTransform;
	import flash.net.URLRequest;
	/**
	 * ...
	 * @author Katsushi Suzuki
	 */
	public class SoundManager extends EventDispatcher
	{		
		public function SoundManager() 
		{
		}
		
		public function load( url:String ):void
		{
			var sound:Sound = new Sound();
			sound.addEventListener(Event.COMPLETE, loadCompleteHandler );
			sound.addEventListener(IOErrorEvent.IO_ERROR, loadErrorHandler );
			sound.load(new URLRequest( url ));
			
			var channel:SoundChannel;			
			
			function loadCompleteHandler(event:Event):void
			{
				channel = sound.play( 0, 10000 );
				channel.soundTransform = new SoundTransform(0.3);
				dispatchEvent( new Event("loadComplete"));
			}
			
			function loadErrorHandler(event:IOErrorEvent):void
			{
				dispatchEvent( new Event("loadError"));
			}
		}
		
	}

}